> ## Documentation Index
> Fetch the complete documentation index at: https://docs.der-connect.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate or deactivate a feature for an Entity

> Activates or deactivates a feature for an Entity. The platform offers some capabilities (ex: CDRs) that have to be explicitly enabled on an Entity to become available



## OpenAPI

````yaml patch /v1/entities/{entityId}/features
openapi: 3.0.4
info:
  title: DER Connect Entities API
  description: Provides endpoints to manage entities.
  version: '1.0'
servers:
  - url: https://api.traxes.io/connect
security:
  - bearerAuth: []
paths:
  /v1/entities/{entityId}/features:
    patch:
      tags:
        - Features
      summary: Activate or deactivate an Entity feature
      description: >-
        Activates or deactivates a feature for an Entity. The platform offers
        some capabilities (ex: CDRs) that have to be explicitly enabled on an
        Entity to become available
      operationId: SetFeatureStatusEndpoint
      parameters:
        - name: entityId
          in: path
          description: The id of the Entity
          required: true
          schema:
            type: string
            format: uuid
          example: 5a554157-5a5a-4547-384c-423033333139
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Connect.Service.Entity.App.Endpoints.V1.EntityFeatures.EntityFeatureActivationRequest
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Connect.Service.Entity.App.Endpoints.V1.EntityFeatures.EntityFeatureStatus
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Connect.Errors.Results.ConnectApiErrorResult
components:
  schemas:
    Connect.Service.Entity.App.Endpoints.V1.EntityFeatures.EntityFeatureActivationRequest:
      required:
        - enabled
        - feature
      type: object
      properties:
        feature:
          $ref: >-
            #/components/schemas/Connect.Service.Entity.Core.Models.EntityFeature
        enabled:
          type: boolean
          description: >-
            Set to ```true``` to activate the feature. Use ```false``` to
            deactivate it
      additionalProperties: false
      description: The feature to activate or deactivate for an Entity
    Connect.Service.Entity.App.Endpoints.V1.EntityFeatures.EntityFeatureStatus:
      type: object
      properties:
        feature:
          $ref: >-
            #/components/schemas/Connect.Service.Entity.Core.Models.EntityFeature
        isEnabled:
          type: boolean
          description: >-
            Will return ```true``` when the feature is activated, ```false```
            otherwise
      additionalProperties: false
      description: A feature and its activation status for an Entity
    Connect.Errors.Results.ConnectApiErrorResult:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Connect.Errors.Results.ConnectApiError'
          nullable: true
      additionalProperties: false
    Connect.Service.Entity.Core.Models.EntityFeature:
      enum:
        - CaptureChargeSessions
      type: string
    Connect.Errors.Results.ConnectApiError:
      type: object
      properties:
        code:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      description: Access Token Authentication
      scheme: bearer
      bearerFormat: JWT

````